package com.zhgd.jeecg.common.util;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.experimental.UtilityClass;

import java.util.Map;

@UtilityClass
public class PageUtil {

    public Page getPage(Map<String, Object> map) {
        int pageNo = Integer.parseInt(map.getOrDefault("pageNo", 1).toString());
        int pageSize = Integer.parseInt(map.getOrDefault("pageSize", 10).toString());
        return new Page(pageNo, pageSize);
    }
}
